Skip to content

Update profile limits

Request

Update profile daily and monthly spend limits for PURCHASE or ATM_WITHDRAWAL. Both daily and monthly must be set.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
typestring

The type of transaction.

Enum:"PURCHASE""ATM_WITHDRAWAL"
aggregateWindowobject
curl -i -X PATCH \
  'https://api.wise.com/2026Q3/spend/profiles/{profileId}/spend-limits' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "type": "PURCHASE",
    "aggregateWindow": {
      "daily": {
        "value": {
          "amount": 20000,
          "currency": "GBP"
        }
      },
      "monthly": {
        "value": {
          "amount": 20000,
          "currency": "GBP"
        }
      }
    }
  }'

Responses

Updated profile spend limits. See Retrieve profile limits.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content